import java.util.Arrays;
import java.util.HashMap;

public class Event {
    private static final String TYPE = "events";
    private String id;
    private HashMap<String,String> names;
    private String description;
    private String url;
    private boolean isFree;
    private String startDate;
    private String endDate;
    private String[] categories;

    public Event(String id,
                 HashMap<String, String> names,
                 String description,
                 String url,
                 boolean isFree,
                 String startDate,
                 String endDate,
                 String[] categories
    ) {
        this.id = id;
        this.names = names;
        this.description = description;
        this.url = url;
        this.isFree = isFree;
        this.startDate = startDate;
        this.endDate = endDate;
        this.categories = categories;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public HashMap<String, String> getNames() {
        return names;
    }

    public void setNames(HashMap<String, String> names) {
        this.names = names;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public boolean isFree() {
        return isFree;
    }

    public void setFree(boolean free) {
        isFree = free;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String[] getCategories() {
        return categories;
    }

    public void setCategories(String[] categories) {
        this.categories = categories;
    }

    @Override
    public String toString() {
        return "Event with the id: " + id + ", names=" + names +
                ", description='" + description +
                ", url='" + url +
                ", isFree=" + isFree +
                ", startDate='" + startDate +
                ", endDate='" + endDate +
                ", categories=" + Arrays.toString(categories);
    }
}