
import javax.json.Json;
import javax.json.JsonObject;
import javax.json.JsonReader;
import javax.json.JsonValue;
import javax.json.bind.Jsonb;
import javax.json.bind.JsonbBuilder;
import java.io.FileNotFoundException;
import java.io.FileReader;

public class Main {
    public static void main(String[] args) throws FileNotFoundException {


        //Task 2
        JsonReader reader = Json.createReader(new FileReader("src/main/resources/test.json"));
        JsonObject jobj = reader.readObject();
        System.out.println(jobj);

        //Task 3

        JsonObject writing = Json.createObjectBuilder()
                .add("type", "events")
                .add("id", "ACE69C22C9DD41E6B74123BF64725F12")
                .add("name",
                        Json.createObjectBuilder()
                                .add("due","Braunsbergbühne Lana: The Orchestra")
                                .add("ita","Comedia: The orchestra").build())
                .add("description",
                        Json.createObjectBuilder().build())
                .add("url", JsonValue.NULL)
                .add("duration",120)
                .add("isFree",Boolean.FALSE)
                .add("startDate","2077-11-17T00: 00: 00.000Z")
                .add("endDate","2077-11-17T00: 00: 00.000Z")
                .add("categories",
                        Json.createArrayBuilder()
                                .add("odh:theatre-cinema-and-performances")
                                .add("schema:TheaterEvent")
                                .build()
                )
                .add("geometries",Json.createArrayBuilder()
                        .add(Json.createObjectBuilder()
                                .add("type","geoShapes")
                                .add("coordinates",Json.createArrayBuilder()
                                        .add(Json.createArrayBuilder()
                                                .add(11.309652)
                                                .add(46.863848)
                                                .add(1298)
                                        .build())
                                        .add(Json.createArrayBuilder()
                                                .add(11.309296)
                                                .add(46.861944)
                                                .add(1342)
                                                .build()
                                        ).build()).build()).build())
                .build();
        System.out.println(writing);

        //Task 4
        GeoShape geoShape = new GeoShape("geoShapes", new double[]{1000d,223d,121d});
        Jsonb jsonb = JsonbBuilder.create();
        System.out.println(jsonb.toJson(geoShape));


    }

}
